> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/orders-and-checkout/orders/search-orders.md).

# Search Orders

Search for all `Orders` placed through your application given certain filter critera.

This endpoint will only return completed orders by default (no carts). However it is possible to use this endpoint as a "Search Carts" endpoint by combining two parameters.\
If you wish to include `IN_PROGRESS` orders AKA carts you can set the `exclude_in_progress` query param to `false`.

If you want to use order search to *only* search for `IN_PROGRESS` orders, that is to say, searching for carts, you can include the the following query in your search body: `{"bag_status": "IN_PROGRESS"}`.\
You must still set `exclude_in_progress` to false in this case.

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/orders/search" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-bcb4b47f59de789c9d5cffe0713598fcb3b48919%2Forder-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/orders/search-orders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
